
Sequel.migration do
  transaction

  change do
    create_table(:numbers) do
      primary_key :id
      foreign_key :report_id, :reports
      String      :value, null: false
      String      :year,  size: 4
      String      :month, size: 2
      String      :day,   size: 2
      String      :hour,  size: 2
      String      :label
      index       :report_id
      index       :year
      index       :month
      index       :day
      index       :hour
      unique      [ :report_id, :year, :month, :day, :hour, :label ]
    end
  end

end

