require 'rake'
require 'rake/tasklib'
require 'graffable'

module Graffable
  class SeedTask < ::Rake::TaskLib

    def initialize

      namespace = 'graffable'

      desc 'Load Graffable seed data from SEED_FILE'
      task "#{namespace}:seed" do
        db   = Graffable::Database.connect
        key  = 'SEED_FILE'
        seed = ENV[key]
        raise "No #{key} was provided" if seed.nil?
        load seed
        puts "<= #{namespace}:seed executed"
      end

    end

  end # class Graffable::SeedTask
end   # module Graffable

